%global dlrn_nvr 10.4.0-1.20201113202815.95f9b98
%global dlrn 1
%define upstream_version 10.4.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name puppetlabs-mysql


Name:           puppet-mysql
Version: 10.4.0
Release: 1.20201113202815.95f9b98%{?dist}
Summary:        Installs, configures, and manages the MySQL service.
License:        ASL 2.0

URL:            http://github.com/puppetlabs/puppetlabs-mysql

Source0: 10.4.0-1.20201113202815.95f9b98.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=95f9b982ef55a257b5641d3ae5289c3b37c70254

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-staging
Requires:       puppet >= 2.7.0

%description
Installs, configures, and manages the MySQL service.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/mysql/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/mysql/



%files
%{_datadir}/openstack-puppet/modules/mysql/


%changelog
* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 6.2.0-1
- Update patches

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 6.2.0-1
- Update patches
- Support mariadb's ed25519 authentication plugin
- pdksync - Add weekly scheduled workflows (#1281)
- better fix double declaration
- double declaration case fix
- better permissions
- fix for mounted disk
- Debian dirs
- (MAINT) Update docker image names
- (IAC-555) - Remove distelli-manifest.yml
- add new parameteres $mycnf_owner and $mycnf_group - both default to undef
- allow changing the mysql-config-file group-ownership
- (MODULES-10562) - v10.4.0 Release Preperation
- (maint) - Pdk Update
- pdksync - (IAC-215) - Implement use_litmus:true (#1280)
- allow adapting permission mode of the MySQL configuration file
- (IAC-365) updating tokens and dataset for honeycomb
- Update README.md Ubuntu example to xenial (#1276)
- (FM-8581) - Debian 10 added to travis and provision file refactored
- rubocop fixes
- Porting functions to the modern Puppet 4.x API
- (maint) update travis to notify puppet slack
- (maint) update travis to not use bundle update --system
- Enable module to not use default options
- Release version 10.3.0
- Fix facter mysql version unit test
- (FM-8784) Back out CentOS 8 from Travis CI tests
- (maint) Remove MAINTAINERS file
- Updated backupcompress comment
- Update xtrabackup.sh.erb
- Allow the compressing of xtrabackup
- Fix java and ruby binding packages for Debian 10
- Add Github Actions release workflow
- MODULES-10236 disable deploy_to_forge for the module
- MODULES-10242 Add ubuntu14 support back to the modules
- Add centos 8 travis build
- (maint) Update to PDK 1.14.1
- Fix test suite when mysqld is not installed
- (maint) mark appveyor.yml for deletion
- (maint) enable simplecov for ruby codecoverage testing
- (maint) update gitignore and pdkignore for .project file removal
- (maint) remove obsolete gepetto .project files
- (maint) enable puppet coverage reports
- (maint) mark .gitlab-ci.yml as deleted
- (maint) sort and canonicalise .sync.yml
- Confine fact for only when mysql is in PATH
- (FM-8677) - Support added for CentOS 8
- FM-8499 - remove ubuntu14 support
- PDK Update to remove PDK-1525 workaround
- (FM-8634) ensure encrypted communication for fixtures
- (PDK-1501) Allow Travis CI config to be templated
- (maint) Update for PDK templates
- Update CHANGELOG.md and sync HISTORY.md
- Release version 10.2.1
- Point pdk gem to head of master until PDK-1525 resolved
- (FM-8275) Add vagrant provision list
- Fix error messages in tasks
- fix xtrabackup by adding a missing parameter
- Use mariadb-java-client for EL8 java package
- Note mysql::server::restart parameter in readme
- Add source to errors
- Remove nodesets
- Document restriction on name (title)
- add package lsb_release for puppet fact, and fix grant test
- Release preparation for version 10.2.0
- (maint) Add a codeowners file
- Fix group on FreeBSD
- No package under FreeBSD
- FM-8406 support Debian10
- Fix "Space inside parentheses" style warning
- Fix unit tests with seperate parameters
- Retry adding unit test with default succes file path
- Revert "Add minimal unit test for the default case"
- Add minimal unit test for the default case
- Make backup succecss file path configurable
- add travis stages
- update .travis file
- (MAINT) pdksync: fix for net-ssh 5 host_key check
- MODULES-9692 - pdksync_1.12.0-0-g55d9ae2
- Don't run fact when you can't find mysqld
- Bugfix on Debian 9 : ruby_package_name must be ruby-mysql2
- escape % in cron Percent-signs (%) in the command, unless escaped with backslash , will be changed into newline characters, and all data after the first % will be sent to the command as standard input.
- use $() instead of backtiks for command substitution, as it gives a more consistent behavior. See https://pubs.opengroup.org/onlinepubs/9699919799/xrat/V4_xcu_chap02.html#tag_23_02_06_03 for more details
- (MODULES-9632) Release prep v10.1.0
- Change require to before in installdb log-error file resource
- Allow backup::mysqldump::time to accept monthday, month, weekday
- Add note about default behavior of server backup
- pdksync_heads/master-0-gb096033
- (MODULES-9482) Bump translate dependency upper range
- [MODULES-9448]-Release prep v10.0.0
- (FM-7709) pdksync and remove beaker
- add support for rh-mariadb102 and rh-mariadb103 (#1209)
- Freebsd compat on backup (#1208)
- update provisioner to docker_exp
- (MODULES-9238) Release prep v9.1.0
- (FM-8029) Add RedHat 8 to CI
- Add option to specify $backupdir as a symlink target, for use with dm… (#1200)
- (FM-8118) Litmus conversion (#1175)
- (FM-8029) Add RedHat 8 support
- MODULES-9160 - release 9.0.0
- (MODULES-6875,MODULES-7487) - Fix mariadb mysql_user password idempotency
- (MODULES-9017) - update metadata to support current version of stdlib
- Fix the contribution guide URL
- Allow own Xtrabackup script
- Make incremental backups deactivable
- Allow multiple backupmethods
- pdksync - (maint) Update pdk-template to f778803
- (MODULES-8886) Rename deepmerge to normalise_and_deepmerge
- (MODULES-8444) - Raise lower Puppet bound
- (MODULES-8886) Revert removal of deepmerge function
- Fixed Changelog links for 8.1.0
- (MODULES-8826) - 8.1.0 Release Prep
- Rotate option for xtrabackup
- (MODULES-6627) Remove unused --host flag from mysqlcaller Removing this as it once added back into the code by accident.
- [MODULES-8779] Set proper python_package_name for RHEL/CentOS 8
- (maint) Update Percona example (#1165)
- (MODULES-8753) - 8.0.1 Release Prep
- rubocop fixes and documentation
- (MODULES-8684) - Removing private tags from Puppet Types
- Add support for dynamic backupmethods/mariabackup
- (maint) Update translations (#1169)
- (MODULES-8728) Remove .project from .gitignore
- FM 7783 - Test Audit making testing more efficient (#1162)
- Set correct packagename for ruby_mysql on Ubuntu 18.04
- fix install ordering for innodb data size
- pdksync_1.9.0-0-g7281db5
- (MODULES-8503) - 7.1.0 Release Prep
- (MODULES-3539) Allow @ in username
- pdksync_heads/master-0-g6814a87
- (MODULES-8193) - Puppet Strings ran and reference.md updated
- (MODULES-8193) - Wrapper methods created for inbuilt 4.x functions These were created to bridge the gap between the 4.x and 3.x functions and account for the difference in their naming.
- pdksync_heads/master-0-g9c815ea
- (FM-7655) Fix rubygems-update for ruby < 2.3
- pdksync_heads/master-0-gbf720df
- Add includedir for Gentoo
- (MODULES-8144) - Add support for SLES 15
- Fix for failing test’s Removed a test file that was missed by my first sweep Updated if statement to account for differences between the now removed built in dirname function and the stdlib version
- (MODULES-8193) - Removal of inbuilt deepmerge and dirname functions Both functions have been removed from the code and their function calls within the manifest's updated as they already exist within puppet itself, in the case of deepmerge and within stdlib in the case of dirname.
- pdksync_heads/master-0-gabccfb1
- (DOCS) correcting the function name in the docstring
- 7.0.0 Release Prep
- Added support for RHSCL mysql versions. Allow use of .mylogin.cnf for mysql 5.6 and up.
- (MODULES-7857) Support user creation on galera
- (MODULES-7487) Fix pw comparison MariaDB 10.2.16+
- (maint) - Update link to metadata.json
- (MODULES-6923) remove staging module
- add mysql_native_password for mariadb 10.2 in password_hash
- Removing query_cache options that are no longer supported in MySQL >= 8.0
- mysql_user provider fixes
- query cache is deprecated in MySQL 8
- MySQL 8 compatibility in user management

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 6.2.0-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 6.2.0-1
- Update patches

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 6.2.0-1
- Update patches

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [MODULES-8779] Set proper python_package_name for RHEL/CentOS 8

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches



